using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FluentScheduler;

namespace WebSite.Job
{
    public class MyRegistry : Registry
    {
        public MyRegistry()
        {
            Welcome();
        }

        private void Welcome()
        {
            Schedule(() => Console.Write("3, "))
                .WithName("[welcome]")
                .AndThen(() => Console.Write("2, "))
                .AndThen(() => Console.Write("1, "))
                .AndThen(() => Console.WriteLine("Live!")).ToRunEvery(20).Seconds();
        }
    }
}